import { jsx as _jsx, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { isComponent, } from "../interfaces";
import { Box, Flex } from "@chakra-ui/react";
const ComponentWrapper = ({ children, display, instance }) => {
    const isStandalone = !instance.metadata.container && !instance.kind;
    switch (instance.kind) {
        case "container":
        case "layout":
            if (isComponent(instance, "@qorebase/container-component")) {
                return (_jsx(Flex, Object.assign({ maxH: !instance.properties.height
                        ? undefined
                        : instance.properties.height.value === "fixed"
                            ? `${instance.properties.heightSize}px`
                            : undefined, w: instance.properties.width.value === "fill"
                        ? "full"
                        : instance.properties.width.value === "fixed"
                            ? `${instance.properties.widthSize}px`
                            : undefined, flex: !instance.properties.width
                        ? "1"
                        : instance.properties.width.value === "fill"
                            ? "1"
                            : instance.properties.width.value === "hug"
                                ? "0"
                                : `0 0 ${instance.properties.widthSize}px`, alignSelf: !instance.properties.height
                        ? "stretch"
                        : instance.properties.height.value === "fill"
                            ? "stretch"
                            : "auto" }, { children: children })));
            }
            return _jsx(_Fragment, { children: children });
        default:
            return (_jsx(Box, Object.assign({ px: isStandalone ? "4" : 0, py: isStandalone ? "2" : 0, flex: display === "block" ? 1 : undefined, maxW: isComponent(instance, "@qorebase/table-component") && "100%" }, { children: children })));
    }
};
export default ComponentWrapper;
//# sourceMappingURL=ComponentWrapper.js.map